@echo off
rem *********************************************************************
rem 帳票印刷用 VBScript
rem
rem 使用方法：cscript PrintExcel
rem            [ -html]   Htmlファイル名
rem            [ -printer プリンタ名    ]     EXCELのプリンタ名
rem            [ -pdf     PDFファイル名 ]     PDF化する場合に指定
rem            [ -syslog  ｼｽﾃﾑログ名    ]
rem            [ -joblog  Jobログ名     ]
rem            [ -jobmask Jobログﾏｽｸ    ]
rem            [ -dpi     印刷品質      ]
rem            [ -org     雛型Htmlファイル名 ]
rem
rem  [ -printer プリンタ名 ]
rem     EXCEL マクロで指定されるプリンタ名を記述する必要があります。
rem            "Ne01: の \\HN5001\DocuPrint C411"
rem            "Ne02: の \\HN5001\EPSON LP-8900"
rem            "Ne03: の \\HN5001\nx700"
rem            "LPT1: の Acrobat PDFWriter"
rem
rem     xls を指定すると、出力ファイルに EXCEL を出力します。
rem
rem    %1 : 処理するHTMLファイル(G:\webapps\dbdef2\filetemp\REPORT\GE\LISTID\YKNO_*.html)
rem    %2 : プリンタ名          ("Ne02: の \\HN5001\EPSON LP-8900")
rem    %3 : PDFファイル名/ダミー出力ファイル
rem    %4 : モデルファイル名
rem    %5 : デーモングループ
rem    %6 : プリンタID
rem
rem Create : 2003/01/17    K.Hasegawa
rem Modify : 2003/04/23    K.H   EXCEL出力サポートと再編成修正
rem Modify : 2005/09/09    K.H   デーモングループの追加とPrintExcel.vbs修正
rem Modify : 2005/09/26    K.H   デーモングループがない場合のエラー処置
rem Modify : 2006/09/05    K.H   PDF作成エラー時のリトライ処理
rem
rem *********************************************************************
if not "%REPORT_HOME%" == "" goto START_REPORT

set REPORT_HOME=G:\webapps\ge\def
set REPORT_LOG=G:\webapps\ge\filetemp\REPORT

:START_REPORT

@echo on
CScript %REPORT_HOME%\Script\PrintExcel.vbs %1 %2 %3 -syslog %REPORT_LOG%\DMN_%5_%6 -dpi 600 -org %4
@echo off

if errorlevel 1 (
	if /I "%5" == "PDF" (
		echo "PDFエラーです(リトライ)"
CScript %REPORT_HOME%\Script\PrintExcel.vbs %1 %2 %3 -syslog %REPORT_LOG%\DMN_%5_%6 -dpi 600 -org %4
	)
)

if errorlevel 1 (
rem	del /F /Q %1
	if %5 == PDF (
		rem copy /Y C:\pdf995\res\pdf995.org C:\pdf995\res\pdf995.ini
	)
	exit 1
) else (
	del /F /Q %1
rem	exit 0
)

if /I "%5" == "PDF" (
	set JAVA_HOME=H:\java\jdk142
	set PATH=%JAVA_HOME%\bin;%PATH%;

	cd %REPORT_HOME%\Script
	java -cp .;%CLASSPATH% FileExists %3
	if errorlevel 1 (
		echo "ファイルは、見つかりませんでした。"
		copy /Y C:\pdf995\res\pdf995.org C:\pdf995\res\pdf995.ini
		exit 1
	) else (
		echo "正常にファイルが見つかりました。"
		exit 0
	)
)
